The Link Card API or Card Activation API is called by the client to activate/link card in the system link it to a customer.
For multi-wallet scenario, this API will create all the sub wallets configured for the selected product and link it to the newly activated card.
Environment:https://domain/api/issuance/v2/activate
HTTP Method: POST
Request parameters
<WalletHeader />
Body
Note:Encryption or decryption methodology is AES-192-CBC bits encryption.
| Parameter | Description | Example |
|---|---|---|
| ||
| token mandatory | String Token is the Encrypted body of the below request AES-192-CBC bits Encryption | Pl8F5kDZcvADIiursiA vvbHNuL9Wv5eaFdorGV FU6FKfIEnV/YskkzJlA ov2ZHJWnqGNLOXfBq4S Qqw8Ep4sK0gCAAkRXAT Cb1nSY6s= |
| ||
| messageCode mandatory | Numeric Code to Identify load card request type. | 1080 |
| clientTxnId mandatory | String Unique ID generated by the client for each transaction. | GOUd789hhhjfscs |
| isStatusCheckRequest mandatory | StringThis field is internally used by prepaid system to check the request status. Pass this as true.Character Limit - 100 | true |
| urn mandatory | String A unique reference number for the generated card. Need to share this in request body of the APIs. Conditional with mobile number and Customer Id i.e either one of them should be present.Character Limit - 11. | 70000000008 |
| last4Digits mandatory | NumericThis parameter must contain the last 4 digit of card number.Character Limit - 4 | 4664 |
| loginId mandatory | NumericCMS login user ID. By default, the value is 1 (one), it means admin user.Character Limit - 12 | 1 |
| loadAmount mandatory | NumericLoad amount is the card amount for which card needs to be activated, send 0 if card needs to be activated for zero amount. It will be implied decimal by 2 digits.Character Limit - 12 | 100000 |
| taxAmount optional | NumericAmount of tax to be deducted during this process. It will be implied decimal by 2 digits.Character Limit - 12 | 100 |
| feeAmount optional | Fee amount is the amount which deducted as transaction fee and won't be loaded to the card. It will be implied decimal by 2 digitsCharacter Limit - 12 | 1000 |
| sourceAccountType optional | StringSource account is the account from which funding is happening (future implementation)Character Limit - 30 | |
| cardprofileId mandatory | Numeric It contains any of the following simple CDD:
| 150 |
| customerId mandatory | String Customer ID, which uniquely identifies the cardholder in the client system.Character Limit - 20` | 000123467790 |
| cardholderFirstName mandatory | String First Name of the cardholder. | Ashish |
| cardholderLastName mandatory | String Last Name of the cardholder. Character Limit - 50 | Kumar |
| cardholderMobile mandatory | Numeric Mobile number of the cardholder. Conditional with customer id and Urn i.e either one of them should be present. Please append 91 at the beginning of this field for India international code.Character Limit - 13 | 919888888888 |
| cardholderEmail mandatory | String Email Address of the cardholder. Character Limit - 50 | [email protected] |
| cardholderAddress optional | String Postal Address of the cardholder. This will be referred to in case a customer wants physical card shipment.Character Limit - 50 | Koramangala, Bangalore |
| cardholderCity optional | String City of the cardholder. | Bangalore |
| cardholderState optional | String State of the cardholder. | Karnataka |
| cardholderCountry optional | String Country of the cardholder. | India |
| cardholderZipCode optional | String Zip Code of the cardholder.Character Limit - 6 | 560020 |
| cardholderDateOfBirth mandatory | String Date of Birth of the Customer in YYYYMMDD format. Character Limit - 15 | 19951201 |
| identityProof optional | StringType Of document for the identity of the cardholder like PAN. PAN is the default identity type.Character Limit - 50 | PAN (optional) |
| identityProofNumber optional | StringCardholder submitted identity number.Character Limit - 50 | Bzmty1234 |
| ovdName optional | StringCard holder name as per the submitted identity.Character Limit - 50 | James Jocob |
| isPanValid optional | NumericFlag for the pan validation. 1 means pan submitted is valid.Character Limit - 1 | 1 |
| firstName optional | String First Name of the nominee.Character Limit - 10 | |
| lastName optional | String Last Name of the nominee.Character Limit - 50 | |
| dateOfBirth optional | String Date of Birth of the nominee in YYYYMMDD format | |
| email optional | String Email Address of the nominee.Character Limit - 50 | |
| mobile optional | Numeric Mobile number of the nominee.Character Limit - 13 | |
| address optional | String Postal Address of the nominee. | Near Meenakshi Temple |
| city optional | String City of the nominee.Character Limit - 10 | Bangalore |
| state optional | String State of the nominee.Character Limit - 10 | Karnataka |
| country optional | String Country of the nominee.Character Limit - 50 | India |
| zipCode optional | String Zip Code of the nominee.Character Limit - 6 | 560001 |
| productId mandatory | Numericnewcardstatus = “active” – eventId 303001 for card activation. | 303001 |
Sample request
Packet sample (Encrypted)
{
“token”: “h/0YSUdGzgNsMcmfYAvIIPgF3Z80/kMJkW/7l9wG9L+bXt//P/HBG0NsuoPtbn6ugjzNOLl/wQPJFbCKMqQJtSSQs4JVYBohia1TPP1yJULHN+TLIVKFRZsg0GokTPI+ZKpNPcrKrQSa70qV/RtVWMv6CmqRHaG1gQvgAYKjNyOpip7G3Io5IDEF4b2cXOlH4G1hbOtjAHQ/7ZS9KrkmJA==”
Packet sample (Decrypted)
{
"messageCode": "3424",
"clientTxnId": "04d85b52thsfhglcheckActivate047",
"requestDateTime": "20230122161759",
"isStatusCheckRequest": true,
"urn": 70000000008,
"last4Digits": 5109,
"loginId": 1,
"loadAmount": 100000,
"taxAmount": 100,
"feeAmount": 0,
"sourceAccountType": 0,
"cardProfileId": 300,
"customerId": "129324",
"cardHolder": {
"cardProfileId": 300,
"cardholderFirstName": "SandeepKWibmoA",
"cardholderLastName": "Pd",
"cardholderMobile": "600140016908",
"cardholderEmail": "[email protected]",
"cardholderAddress": "Address",
"cardholderCity": "Vijayawada",
"cardholderState": "Karnataka",
"cardholderCountry": "null",
"cardholderZipCode": "534437",
"cardholderDateOfBirth": "22-04-1997",
"identityProof": "",
"identityProofNumber": "",
"employeeId": "abhd12",
"ovdName": "James Jacob",
"isPanValid": "1"
},
"nominee": {
"firstName": "San",
"lastName": null,
"dateOfBirth": null,
"email": null,
"mobile": null,
"address": null,
"city": null,
"state": null,
"country": null,
"zipCode": null
},
"productId": 1
}
Response parameters
API error codes
| Error Code | Description |
|---|---|
| 0 | SUCCESS |
| 1001 | CARD NOT FOUND |
| 1004 | CARD ALREADY ACTIVATED |
| 1009 | CARD_CANCELLED_CLOSED_EXPIRED |
| 1010 | CARD_TEMPORARY_BLOCK |
| 1012 | CARD_PENDING_CANCELLATION |
| 1013 | AML MIN LIMIT |
| 1030 | INVALID_MESSAGE |
| 1045 | UNABLE_TO_PROCESS_REQUEST |
| 1052 | SYSTEM ERROR |
| 1056 | INVALID MESSAGE CODE |
| 1058 | INVALID_WALLETS |
| 1093 | INVALID CLIENT TXN ID |
| 1101 | UNKNOWN_SOURCE_ACCOUNT_TYPE |
| 1118 | CARD CREDIT BLOCK |
| 1303 | CUSTOMER DETAILS NOT PRESENT |
| 1366 | PROGRAM IS INACTIVE |
| 1367 | PROGRAM NOT FOUND |
| 1368 | SUBWALLET OR ACCOUNTNO SHOULD BE PRESENT |
| 1501 | SYSTEM_ERROR_DB |
| 1504 | SYSTEM_CACHE_FAILURE |
| 8004 | DUPLICATE EMAIL ID |
HTTP status code
| HTTP Status Code | HTTP Status Description |
|---|---|
| 200 | OK |
| 400 | Bad Request |
| 401 | Unauthorized |
| 500 | Internal Server Error |
| 403 | Forbidden |
| 404 | Not Found |
| 503 | Service Unavailable |
Sample response
Packet sample (Encrypted)
{
“token”: “h/0YSUdGzgNsMcmfYAvIIPgF3Z80/kMJkW/7l9wG9L+bXt//P/HBG0NsuoPtbn6ugjzNOLl/wQPJFbCKMqQJtSSQs4JVYBohia1TPP1yJULHN+TLIVKFRZsg0GokTPI+ZKpNPcrKrQSa70qV/RtVWMv6CmqRHaG1gQvgAYKjNyOpip7G3Io5IDEF4b2cXOlH4G1hbOtjAHQ/7ZS9KrkmJA==”}Packet sample (Decrypted)
{
"urn": 70000000008,
"customerId": "00002345677",
"description": "Card Activation",
"responseCode": "00",
"messageCode": 3425,
"clientTxnId": "fiji131bwr123vrvr68",
"clientId": "2000",
"responseDateTime": "20230203114910",
"accosaTransactionId": 441,
"responseMessage": "SUCCESS",
"bankId": 7000,
"accosaRefNo": "40051"
}